Zeitgeist.Subject – zeitgeist-2.0 Reference Manual

# Subject

## Object Hierarchy:

## Description:

public class Subject : Object

Subject objects abstract Zeitgeist subjects

In Zeitgeist terminology, a subject is something (a file, web page, person, conversation, etc.) that was somehow involved or affected by a Event.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public string? current_origin { get; set; }
- public string? current_uri { get; set; }
- public string? interpretation { get; set; }
- public string? manifestation { get; set; }
- public string? mimetype { get; set; }
- public string? origin { get; set; }
- public string? storage { get; set; }
- public string? text { get; set; }
- public string? uri { get; set; }

### Creation methods:

- public Subject ()
- public Subject.from_variant (Variant subject_variant) throws DataModelError
  Create a new Subject structure from predefined GLib.Variant data
- public Subject.full (string? uri = null, string? interpretation = null, string? manifestation = null, string? mimetype = null, string? origin = null, string? text = null, string? storage = null)
  Create a new Subject structure with predefined data
- public Subject.move_event (string? source_uri = null, string? source_origin = null, string? destination_uri = null, string? destination_origin = null, string? interpretation, string? manifestation = null, string? mimetype = null, string? text = null, string? storage = null)
  Create a new Subject structure to describe a move event

### Methods:

- public bool matches_template (Subject template_subject)
- public Variant to_variant ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref